Bug 132614 - Only single input mode possible for multiple applications
Only single input mode possible for multiple applications
Product: Fedora
Classification: Fedora
Component: iiimf-le-chinput (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Yu Shao
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
Reported: 2004-09-15 02:11 EDT by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-27 20:53:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lawrence Lim 2004-09-15 02:11:59 EDT
Description of problem:
In the current version changing the Input Mode from Intelligent Pinyin
to GB for example, the change will be reflected on all open
application with the chinput LE attached. 

For example, if user wish to use GB on gedit and Intelligent Pinyin in
gnome-terminal, that will not be possible as changing to GB on gedit
will cause the change to be reflected in gnome-terminal as well.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start gnome-terminal
2.toggle on LE
3.start gedit
4.toggle on LE
5.change the focus to gedit, change input mode to GB
6.change the focus to gnome-terminal
Actual results:
gnome-terminal input mode is not GB

Expected results:
gnome-terminal input mode should remain as Intelligent Pinyin

Additional info:

Note You need to log in before you can comment on or make changes to this bug.